Bug 1471128 - Code needs to be updated for PHP 7.0.x and 7.1.x
Code needs to be updated for PHP 7.0.x and 7.1.x
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: WebCalendar (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Patrick Monnerat
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 09:22 EDT by Jeff Voskamp
Modified: 2017-08-03 16:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: WebCalendar-1.2.7-9.fc26 WebCalendar-1.2.7-9.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 11:53:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Voskamp 2017-07-14 09:22:14 EDT
Description of problem:
Warnings and fatal errors:
PHP Warning:  preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /usr/share/WebCalendar/includes/formvars.php on line 48, referer: https://cal.voskamp.ca/edit_entry.php?id=9764


PHP Fatal error:  Uncaught Error: [] operator not supported for strings in /usr/share/WebCalendar/includes/menu/index.php:249\nStack trace:\n#0 /usr/share/WebCalendar/includes/init.php(155): include_once()\n#1 /usr/share/WebCalendar/week.php(238): print_header(Array, '', NULL, false, false, false, false)\n#2 {main}\n  thrown in /usr/share/WebCalendar/includes/menu/index.php on line 249, referer: https://cal.voskamp.ca/edit_entry.php?id=9764

Version-Release number of selected component (if applicable):
WebCalendar-1.2.7-7.fc26.noarch

How reproducible:
Set up an instance under fc24. upgrade to fc26. Look in 

Actual results:
"White screen of death".


Expected results:


Additional info:
Originally surfaced in FC25 (the first error).
Comment 1 Fedora Update System 2017-07-26 06:49:55 EDT
WebCalendar-1.2.7-9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be683b951d
Comment 2 Fedora Update System 2017-07-26 06:50:06 EDT
WebCalendar-1.2.7-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5731125498
Comment 3 Fedora Update System 2017-07-26 20:23:50 EDT
WebCalendar-1.2.7-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5731125498
Comment 4 Fedora Update System 2017-07-26 22:52:57 EDT
WebCalendar-1.2.7-9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be683b951d
Comment 5 Fedora Update System 2017-08-03 11:53:33 EDT
WebCalendar-1.2.7-9.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2017-08-03 16:53:00 EDT
WebCalendar-1.2.7-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.